package nl.amis.spring.trial;
import org.springframework.aop.MethodBeforeAdvice;
import java.lang.reflect.Method;

public class LoggingAdvice implements MethodBeforeAdvice  {

  public LoggingAdvice() {
  }


  public void before(Method method, Object[] args, Object target) throws Throwable {
    Employee emp = (Employee)target;
    System.out.println( "Calling "+method.getName() 
                      + " on Employee "+ emp.getFirstName()+" "+emp.getLastName()
                      );
    }

}