package nl.amis.spring.trial;
import org.springframework.aop.framework.ProxyFactory;
import org.springframework.context.ApplicationContext;
import org.springframework.context.support.ClassPathXmlApplicationContext;

public class MyFirstAOP {

  public MyFirstAOP() {
  }

  public Employee getEmployee() {
    Employee emp = new Employee();
    ProxyFactory pf = new ProxyFactory();
    pf.setTarget(emp);
    pf.addAdvice(new LoggingAdvice());
    return (Employee)pf.getProxy();
  }


  public static void main(String[] args) {
    MyFirstAOP myFirstAOP = new MyFirstAOP();
    Employee scott = myFirstAOP.getEmployee();
    scott.setFirstName("John");
    scott.setLastName("Doe");
    scott.setJobTitle("SALESMAN");
    
    scott.setSalary(new Float("5000.32"));
    System.out.println("The new salary for "+scott.getFirstName()+" "+scott.getLastName()+" ("+scott.getJobTitle()+") = "+scott.getSalary());
  }
}